jaguar_session_mongo 2.2.1

jaguar_session_mongo #

MongoDb based session manager for Jaguar.dart. Stores session data in a MongoDb collection

Changelog #

2.1.2 #

  • Renamed MgoCookieSession to MgoSession

2.1.1 #

  • MgoCookieSession

Use this package as a library

1. Depend on it

Add this to your package's pubspec.yaml file:


dependencies:
  jaguar_session_mongo: ^2.2.1

2. Install it

You can install packages from the command line:

with pub:


$ pub get

with Flutter:


$ flutter pub get

Alternatively, your editor might support pub get or flutter pub get. Check the docs for your editor to learn more.

3. Import it

Now in your Dart code, you can use:


import 'package:jaguar_session_mongo/jaguar_session_mongo.dart';
  
Popularity:
Describes how popular the package is relative to other packages. [more]
0
Health:
Code health derived from static analysis. [more]
99
Maintenance:
Reflects how tidy and up-to-date the package is. [more]
100
Overall:
Weighted score of the above. [more]
50
Learn more about scoring.

We analyzed this package on Jul 22, 2019, and provided a score, details, and suggestions below. Analysis was completed with status completed using:

  • Dart: 2.4.0
  • pana: 0.12.19

Platforms

Detected platforms: Flutter, other

Primary library: package:jaguar_session_mongo/jaguar_session_mongo.dart with components: io.

Health suggestions

Fix lib/src/jaguar_session_mongo_base.dart. (-1.49 points)

Analysis of lib/src/jaguar_session_mongo_base.dart reported 3 hints:

line 28 col 44: Use = to separate a named parameter from its default value.

line 33 col 28: Use = to separate a named parameter from its default value.

line 82 col 9: Use isNotEmpty instead of length

Maintenance suggestions

Maintain an example.

None of the files in the package's example/ directory matches known example patterns.

Common filename patterns include main.dart, example.dart, and jaguar_session_mongo.dart. Packages with multiple examples should provide example/README.md.

For more information see the pub package layout conventions.

Dependencies

Package Constraint Resolved Available
Direct dependencies
Dart SDK >=2.0.0-dev.65 <3.0.0
crypto ^2.0.1 2.0.6
jaguar ^2.2.0 2.4.36
jaguar_data_store ^2.2.0 2.2.0
jaguar_mongo_data_store ^2.1.1 2.2.0
jaguar_serializer ^2.2.0 2.2.12
mongo_dart ^0.3.2 0.3.5
Transitive dependencies
async 2.3.0
auth_header 2.1.4
bson 0.3.2
charcode 1.1.2
client_cookie 2.1.5 2.2.1
collection 1.14.11
conn_pool 2.1.9
convert 2.1.1
fixnum 0.10.9
http_parser 3.1.3
http_server 0.9.8+3
jaguar_client 2.4.2
jaguar_common 2.1.4
logging 0.11.3+2
meta 1.1.7
mime 0.9.6+3
mongo_dart_query 0.3.2
more 1.18.0
path 1.6.2
path_tree 2.2.2
pool 1.4.0
source_span 1.5.5
stack_trace 1.9.3
string_scanner 1.0.4
term_glyph 1.1.0
typed_data 1.1.6
uuid 2.0.2
Dev dependencies
http any 0.11.3+17 0.12.0+2
jaguar_auth ^2.2.0
jaguar_example_session_models
jaguar_mongo ^2.2.0 2.4.1
jaguar_reflect ^2.2.0
jaguar_resty ^2.6.6 2.8.9 2.10.12
test ^1.3.0

Admin